    DIM BASECPU$[4],TARGETCPU$[4],REVISION$[1],DISK$[20]
    DIM ASMFILENAME$[40],ASMOBJNAME$[40],ASMIODRNAME$[40]
    DIM CREATELOG$/7,:E,0,0/,JUNK$/0,0,0,0/
    PRINT ""
    PRINT "Setup for generating ASM15"
    PRINT ""
    INPUT "Enter device that the files reside on: "DISK$
    IF DISK$[LEN(DISK$),1] <> ":" THEN LET DISK$ = DISK$ CAT ":"
    PRINT ""
    INPUT "Revision letter: "REVISION$
    PRINT ""
    PRINT 'The only acceptable CPU inputs are "6800", "6805" and "6809".'
    PRINT ""
    CREATE #1,"JUNK"
    PRINT #1,"SDOSSYSGEN"
RETRY1:
    INPUT "Enter CPU this assembler executes on: "BASECPU$
    IF BASECPU$ <> "6800" AND BASECPU$ <> "6809" THEN
        PRINT "Unacceptable base CPU type."
        GOTO RETRY1
    FI
    PRINT ""
    INPUT "Enter target CPU for assembler output: "TARGETCPU$
RETRY2:
    IF TARGETCPU$ <> "6800" AND TARGETCPU$ <> "6805" AND ...
&       TARGETCPU$ <> "6809" THEN
           PRINT "Unacceptable target CPU type."
           GOTO RETRY2
    FI
    PRINT ""
    ASMFILENAME$ = DISK$ CAT "ASM15" CAT REVISION$ CAT ".." ...
&               CAT TARGETCPU$ CAT "." ...
&               CAT BASECPU$[1,2] CAT BASECPU$[4,1]
    ASMIODRNAME$ = DISK$ CAT "ASM15IODR" CAT BASECPU$[1,2] CAT ...
&               BASECPU$[4,1] CAT ".BIN"
    ASMOBJNAME$ = DISK$ CAT "ASM15" CAT REVISION$ CAT TARGETCPU$ CAT ...
&               "." CAT BASECPU$[4,1] CAT ".BIN"
    PRINT #1,ASMFILENAME$
    PRINT #1,ASMIODRNAME$
    PRINT #1,ASMOBJNAME$
    PRINT #1,""
    PRINT #1,":100"
    PRINT #1,"CRC ";ASMFILENAME$
    CLOSE #1
    CLOSE #0
    OPEN #0,"JUNK"
    SYSCALL(CREATELOG$,"CONSOLE:",JUNK$)
    EXIT
    END
